Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.event
Class AjaxEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.ajax4jsf.event.AjaxEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AjaxEvent

extends javax.faces.event.FacesEvent

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:33 $ Event for send by `AjaxContainer` in case of Ajax Request. Used for build set of id's to render at current request, perform special render etc.
Author:
  shura (latest modification by $Author: alexsmirnov $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AjaxEvent(javax.faces.component.UIComponent component)`

Method Summary
`boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
`void` | `processListener(javax.faces.event.FacesListener listener)`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxEvent

    public AjaxEvent(javax.faces.component.UIComponent component)

Parameters:
  `component` -

Method Detail

### isAppropriateListener

    public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

  Specified by:
    `isAppropriateListener` in class `javax.faces.event.FacesEvent`

### processListener

    public void processListener(javax.faces.event.FacesListener listener)

  Specified by:
    `processListener` in class `javax.faces.event.FacesEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.